Suite d'API cumpletta per la generaziun da cuntegn dad IA
Acceda a dapli che 30 models d'IA d'avantguarda tras ina singula API unifitgada. Generescha videos, maletgs, avatars e vuschs en qualitad d'elita.
APIs text-en-video
Transfurma tuns da text en videos fascinants cun ils models da video d'IA ils pli avanzads dal mund
Generaziun da video lidera en il sectur cun 6 versiuns (1.0-2.1). Sustegna ils modes Standard e Pro, videos da 5-10 secundas, coherenza da moviment eziunala.
Generaziun da video avanzada cun ina chapientscha da scena eziunala e moviment natiral. Ils models disponibels includan Hailuo-02 e HailuoI2V.
L'ultim model da video da Google cun in realissem ed ina precisiun fisica nungualada. Output da qualitad premium.
Animaziun da maletgs professiunala cun ils models Gen-2, Gen-3 e Gen4. Resultats en qualitad cinematografica.
Generaziun da video artistica cun Dream Machine. Creescha videos surreals e creativs cun in'estetica unica.
Sintesa da saut avanzada cun sustegn per coreografias da pliras persunas. Creescha videos da saut sincronisads ord material da referenza.
Spezialisà sin clips stabel da 5 secundas. Disponibel en resoluziuns da 480p e 1080p cun ina qualitad d'output fidaivla.
Generaziun da video focussada sin e-commerce. Optimà per preschentaziuns da products e cuntegn da marketing.
APIs text-en-maletg
Creescha maletgs impressiunants ord descripziuns da text cun models da diffusiun moderns
Google's most advanced image model with photorealistic quality and exceptional prompt adherence. Multiple sub-models available.
Model da svilup svelt per iteraziuns rapidas. Equiliber perfetg tranter sveltezza e qualitad per prototips.
Generaziun da maletgs professiunala cun detagls augmentads e control artistic. Stabilitad superiura.
Enhanced version with improved prompt understanding and faster generation times. Better composition.
Generaziun da maletgs da qualitad maximala. Detagls e resoluziun extrema per projects pretendents.
Specialized for context-aware generation with Pro and Max modes. Excellent for specific style requirements.
Implementaziun da Flux optimada cun divers nivels da qualitad per ina generaziun svelta.
Model da maletg chinais avanzà cun ina chapientscha artistica ed in control da stil eziunal.
Model open-source standard dal sectur cun vastas opziuns d'adattaziun.
APIs maletg-en-video
Dà vita a maletgs statics cun moviment ed animaziun intelligentas
Transform images into smooth videos with natural motion. Multiple versions and quality modes available.
Professional image animation with Gen-2, Gen-3, and Gen4 models. Cinema-quality results.
APIs per avatars, lip-sync e TTS
Creescha avatars che tschiffan e generescha vusch natirala cun ina sincronisaziun perfetga
Animaziun da figurs cun sincronisaziun d'audio perfetga. Dà vita a purtrets cun expressiuns e moviments natirals.
Las vuschs d'IA las pli natiralas cun control emoziunal e pliras linguas.
Google's neural text-to-speech with WaveNet voices. Over 380 voices in 50+ languages with SSML support.
In'API, pussaivladads infinitas
🎯 Generaziun universala
In singul metoda 'generate' per tut ils tips da cuntegn - video, maletg, audio, avatar. Simplifitgescha tia integraziun cun ina singula API consistenta.
🤖 Selecziun intelligenta dal provider
Lassa noss'IA tscherner il meglier provider tenor tes basegns u specifitgescha tes provider preferì per in control cumplet.
🔄 Dumondas idempotentas
Repetiziuns segiras cun headers 'Idempotency-Key'. Mai pli quitads pervia da debits dubels tras problems da rait.
📊 Limitaziun da rata intelligenta
Headers clers per la limitaziun da rata (X-RateLimit-*) t'agidan d'optimar il temp da las dumondas e d'evitar eras 429.
🔔 Webhooks segirs
Webhooks suttascrits cun HMAC per notificaziuns asincronas segiras. Vegni infurmà uschespert che tes cuntegn è pront.
⚡ Codes d'erur clers
Codes d'erur legibels per maschinas sco INSUFFICIENT_CREDITS e RATE_LIMIT fan il debugging simpel.
Codes d'erur communabel
| Code | Descripziun | Acziun |
|---|---|---|
| INSUFFICIENT_CREDITS | Betg avunda credits per questa operaziun | Chargia tes credits dal quint |
| RATE_LIMIT | Massa bleras dumondas | Controllescha il header X-RateLimit-Reset |
| INVALID_INPUT | Parameters inditgads nunvalids | Controllescha l'input tenor il schema |
| PROVIDER_UNAVAILABLE | Il provider tschernì n'è temporarmain betg disponibel | Emprova anc ina giada u lassa decider l'auto-select |
| GENERATION_FAILED | La generaziun dal cuntegn è falleda | Emprova anc ina giada cun auters parameters |
Limits da rata tenor plan
| Plan | Dumondas/min | Concurrent | Limit d'ogni di |
|---|---|---|---|
| Free | 10 | 1 | 100 |
| Starter | 30 | 3 | 1,000 |
| Pro | 60 | 10 | 10,000 |
| Enterprise | Custom | Custom | Unlimited |
Exempels da code per in start svelt
# Universal generation API - Video example
curl -X POST https://api.doitong.com/graphql \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-H "Idempotency-Key: unique-request-id-123" \
-d '{
"query": "mutation Generate($input: GenerateInput!) { generate(input: $input) { id status type provider url metadata { duration resolution } creditCost estimatedTime } }",
"variables": {
"input": {
"type": "VIDEO",
"provider": "minimax",
"input": {
"text": "A serene mountain landscape at sunset"
},
"options": {
"duration": 10,
"resolution": "1080p",
"style": "cinematic"
}
}
}
}'
# Auto-select best provider for quality
curl -X POST https://api.doitong.com/graphql \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"query": "mutation { generate(input: { type: VIDEO, input: { text: \"Epic dragon battle\" }, priority: QUALITY }) { id status provider creditCost } }"
}'
# Check generation status
curl -X POST https://api.doitong.com/graphql \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"query": "query { generation(id: \"gen_abc123\") { status progress url error { code message } } }"
}'
// Doitong Universal API Client
class DoitongAPI {
constructor(apiKey) {
this.apiKey = apiKey;
this.endpoint = 'https://api.doitong.com/graphql';
}
async generate(input) {
const response = await fetch(this.endpoint, {
method: 'POST',
headers: {
'Authorization': `Bearer ${this.apiKey}`,
'Content-Type': 'application/json',
'Idempotency-Key': crypto.randomUUID()
},
body: JSON.stringify({
query: `
mutation Generate($input: GenerateInput!) {
generate(input: $input) {
id
status
type
provider
url
metadata
creditCost
estimatedTime
error {
code
message
}
}
}
`,
variables: { input }
})
});
const data = await response.json();
// Check for rate limits
const remaining = response.headers.get('X-RateLimit-Remaining');
if (remaining && parseInt(remaining) < 10) {
console.warn(`Low rate limit: ${remaining} requests remaining`);
}
if (data.errors) {
throw new Error(data.errors[0].message);
}
return data.data.generate;
}
async checkStatus(id) {
const response = await fetch(this.endpoint, {
method: 'POST',
headers: {
'Authorization': `Bearer ${this.apiKey}`,
'Content-Type': 'application/json'
},
body: JSON.stringify({
query: `
query GetGeneration($id: ID!) {
generation(id: $id) {
id
status
progress
url
error {
code
message
}
}
}
`,
variables: { id }
})
});
const data = await response.json();
return data.data.generation;
}
async waitForCompletion(id, pollInterval = 2000) {
while (true) {
const result = await this.checkStatus(id);
if (result.status === 'COMPLETED') {
return result;
} else if (result.status === 'FAILED') {
throw new Error(result.error?.message || 'Generation failed');
}
await new Promise(resolve => setTimeout(resolve, pollInterval));
}
}
}
// Usage examples
const api = new DoitongAPI('YOUR_API_KEY');
// Simple video generation - let AI choose provider
const video = await api.generate({
type: 'VIDEO',
input: { text: 'A serene mountain landscape' }
});
// Specific provider with options
const video = await api.generate({
type: 'VIDEO',
provider: 'minimax',
input: { text: 'Epic battle scene' },
options: {
duration: 10,
resolution: '1080p',
style: 'cinematic'
}
});
// Image generation with auto-provider selection for quality
const image = await api.generate({
type: 'IMAGE',
input: { text: 'Photorealistic portrait' },
priority: 'QUALITY'
});
// Wait for completion
const result = await api.waitForCompletion(video.id);
console.log('Video ready:', result.url);
// Using Apollo Client for GraphQL
import { ApolloClient, gql } from '@apollo/client';
const CREATE_VIDEO = gql`
mutation CreateVideo($input: VideoCreateInput!) {
videoCreate(input: $input) {
id
status
videoUrl
}
}
`;
const client = new ApolloClient({
uri: 'https://api.doitong.com/graphql',
headers: {
authorization: 'Bearer YOUR_API_KEY'
}
});
const result = await client.mutate({
mutation: CREATE_VIDEO,
variables: {
input: {
prompt: 'Beautiful sunset over ocean',
model: 'luma',
duration: 9
}
}
});
import requests
import time
import json
import uuid
from typing import Dict, Optional, Any
class DoitongAPI:
def __init__(self, api_key: str):
self.api_key = api_key
self.base_url = "https://api.doitong.com/graphql"
self.headers = {
"Authorization": f"Bearer {api_key}",
"Content-Type": "application/json"
}
def generate(self,
content_type: str,
input_data: Dict[str, Any],
provider: Optional[str] = None,
options: Optional[Dict] = None,
idempotency_key: Optional[str] = None) -> Dict:
"""Universal generation method for all content types"""
# Add idempotency key for safe retries
headers = self.headers.copy()
if idempotency_key:
headers["Idempotency-Key"] = idempotency_key
else:
headers["Idempotency-Key"] = str(uuid.uuid4())
query = """
mutation Generate($input: GenerateInput!) {
generate(input: $input) {
id
status
type
provider
url
metadata
creditCost
estimatedTime
error
errorCode
}
}
"""
variables = {
"input": {
"type": content_type.upper(),
"input": input_data
}
}
if provider:
variables["input"]["provider"] = provider
if options:
variables["input"]["options"] = options
response = requests.post(
self.base_url,
headers=headers,
json={"query": query, "variables": variables}
)
# Handle rate limiting
if response.status_code == 429:
retry_after = response.headers.get("X-RateLimit-Reset", 60)
raise Exception(f"Rate limited. Retry after {retry_after} seconds")
data = response.json()
if "errors" in data:
error = data["errors"][0]
raise Exception(f"API Error: {error.get('message', 'Unknown error')}")
return data["data"]["generate"]
def check_status(self, generation_id: str) -> Dict:
"""Check the status of a generation"""
query = """
query GetGeneration($id: ID!) {
generation(id: $id) {
id
status
type
url
progress
error
errorCode
metadata
}
}
"""
response = requests.post(
self.base_url,
headers=self.headers,
json={
"query": query,
"variables": {"id": generation_id}
}
)
return response.json()["data"]["generation"]
def wait_for_completion(self, generation_id: str, max_wait: int = 300) -> Dict:
"""Poll until generation is complete"""
start_time = time.time()
while time.time() - start_time < max_wait:
result = self.check_status(generation_id)
if result["status"] == "completed":
return result
elif result["status"] == "failed":
error_code = result.get("errorCode", "UNKNOWN_ERROR")
error_msg = result.get("error", "Generation failed")
raise Exception(f"[{error_code}] {error_msg}")
# Adaptive polling - start fast, slow down over time
wait_time = 2 if time.time() - start_time < 30 else 5
time.sleep(wait_time)
raise TimeoutError("Generation timed out")
# Example usage
if __name__ == "__main__":
api = DoitongAPI("YOUR_API_KEY")
try:
# Generate a video (auto-selects best provider)
video = api.generate(
content_type="video",
input_data={"text": "A majestic eagle soaring through clouds"},
options={"duration": 10, "resolution": "1080p"}
)
print(f"Video generation started: {video['id']}")
# Wait for completion
result = api.wait_for_completion(video['id'])
print(f"Video ready: {result['url']}")
print(f"Credits used: {result['creditCost']}")
# Generate with specific provider
image = api.generate(
content_type="image",
provider="flux-ultra",
input_data={"text": "Professional product photography"},
options={"aspectRatio": "16:9", "quality": "ultra"}
)
# Generate audio/TTS
audio = api.generate(
content_type="audio",
provider="elevenlabs",
input_data={"text": "Welcome to the future of AI"},
options={"voice": "rachel", "emotion": "excited"}
)
except Exception as e:
print(f"Error: {e}")
# Universal generation mutation - works for all content types
mutation Generate($input: GenerateInput!) {
generate(input: $input) {
id
status
type
provider
url
metadata
creditCost
estimatedTime
progress
error
errorCode
}
}
# Example: Generate video (auto-select provider)
# Variables:
{
"input": {
"type": "VIDEO",
"input": {
"text": "A bustling Tokyo street at night with neon lights"
},
"options": {
"duration": 10,
"resolution": "1080p",
"style": "cinematic"
}
}
}
# Example: Generate video with specific provider
# Variables:
{
"input": {
"type": "VIDEO",
"provider": "kling",
"input": {
"text": "Epic space battle scene"
},
"options": {
"mode": "pro",
"duration": 10,
"aspectRatio": "16:9"
}
}
}
# Example: Image-to-video generation
# Variables:
{
"input": {
"type": "VIDEO",
"provider": "runway",
"input": {
"text": "Make the character dance",
"image": "https://example.com/character.jpg"
},
"options": {
"motionIntensity": "high",
"model": "gen-3"
}
}
}
# Example: Generate image
# Variables:
{
"input": {
"type": "IMAGE",
"provider": "flux-ultra",
"input": {
"text": "Photorealistic portrait in Rembrandt style"
},
"options": {
"aspectRatio": "16:9",
"quality": "ultra",
"seed": 42
}
}
}
# Example: Generate audio/TTS
# Variables:
{
"input": {
"type": "AUDIO",
"provider": "elevenlabs",
"input": {
"text": "Welcome to the future of artificial intelligence"
},
"options": {
"voice": "rachel",
"emotion": "excited",
"speed": 1.0
}
}
}
# Example: Generate avatar video
# Variables:
{
"input": {
"type": "AVATAR",
"provider": "heygen",
"input": {
"text": "Hello, I'm your AI assistant",
"voice": "professional_female"
},
"options": {
"avatarId": "kate",
"background": "modern_office",
"gesture": "friendly"
},
"webhookUrl": "https://your-app.com/webhook"
}
}
# Query generation status
query GetGeneration($id: ID!) {
generation(id: $id) {
id
status
type
provider
url
progress
metadata {
width
height
duration
format
}
creditCost
error
errorCode
createdAt
completedAt
}
}
# Cancel a generation
mutation CancelGeneration($id: ID!) {
cancelGeneration(id: $id)
}
# Get available providers for a content type
query GetProviders($type: GenerationType!) {
providers(type: $type) {
id
name
description
features
limitations
pricing {
creditCost
estimatedTime
}
options {
name
type
required
description
allowedValues
}
}
}
}
Pront per crear insatge extraordinari?
S'uniescha a millis sviluppaders che utiliseschan noss'API per crear cuntegn d'IA da la proxima generaziun